# $Revision: 1.13 $, $Date: 2008-04-02 08:37:57 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MasonX
%define		pnam	Interp-WithCallbacks
Summary:	MasonX::Interp::WithCallbacks - Mason callback support via Params::CallbackRequest
Summary(pl.UTF-8):	MasonX::Interp::WithCallbacks - obsługa callbacków Masona poprzez Params::CallbackRequest
Name:		perl-MasonX-Interp-WithCallbacks
Version:	1.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MasonX/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7a4131bed5cc67df62dd27a7e8aa30d6
URL:		http://search.cpan.org/dist/MasonX-Interp-WithCallbacks/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Container >= 0.09
BuildRequires:	perl-HTML-Mason >= 1.23
BuildRequires:	perl-Params-CallbackRequest >= 1.11
BuildRequires:	perl-Test-Simple >= 0.17
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MasonX::Interp::WithCallbacks subclasses HTML::Mason::Interp
in order to provide a Mason callback system built on
Params::CallbackRequest. Callbacks may be either code references
provided to the new() constructor, or methods defined in subclasses of
Params::Callback. Callbacks are triggered either for every request or
by specially named keys in the Mason request arguments, and all
callbacks are executed at the beginning of a request, just before
Mason creates and executes the request component stack.

%description -l pl.UTF-8
MasonX::Interp::WithCallbacks jest podklasą HTML::Mason::Interp
dostarczającą Masonowi system wywołań zwrotnych (callbacków) zbudowany
w oparciu o Params::CallbackRequest. Callbacki mogą być referencjami
do kodu przekazanymi do konstruktora new() lub metodami zdefiniowanymi
w podklasach Params::Callback. Wywołania zwrotne są wyzwalane albo dla
każdego żądania lub przez specjalnie nazwane klucze w argumentach
żądań Masona, zaraz przed tym, jak Mason tworzy i wykonuje stos
żądanych komponentów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/MasonX/Interp
%{perl_vendorlib}/MasonX/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MasonX-Interp-WithCallbacks.spec,v $
Revision 1.13  2008-04-02 08:37:57  arekm
- up to 1.17

Revision 1.12  2008-03-03 09:41:53  arekm
- rel 3; include MasonX/Interp subdir

Revision 1.11  2008-02-23 22:09:42  glen
- release 2

Revision 1.10  2007-03-31 20:00:44  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.9  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.7  2004/12/05 12:31:23  radek
- version 1.13, switched to Module::Build

Revision 1.6  2004/11/03 22:30:32  paladine
- formatting

Revision 1.5  2004/11/03 13:00:26  paladine
- spaces->tabs

Revision 1.4  2004/08/26 10:25:31  radek
- turned off tests

Revision 1.3  2004/06/05 13:57:58  qboosh
- resolved Params::CallbackRequest package name

Revision 1.2  2004/06/05 13:38:24  qboosh
- pl, cosmetics

Revision 1.1  2004/06/04 22:52:03  radek
- new
